# Uses of Class
ij.gui.ImageWindow

Packages that use ImageWindow
Package
Description
ij
ij.gui
ij.plugin.frame

## Uses of ImageWindow in ij

Fields in ij declared as ImageWindow
Modifier and Type
Field
Description
`protected ImageWindow`
ImagePlus.`win`
Methods in ij that return ImageWindow
Modifier and Type
Method
Description
`static ImageWindow`
WindowManager.`getCurrentWindow()`
Returns the active ImageWindow.
`ImageWindow`
ImagePlus.`getWindow()`
Returns the ImageWindow that is being used to display this image.
Methods in ij with parameters of type ImageWindow
Modifier and Type
Method
Description
`static void`
WindowManager.`setCurrentWindow(ImageWindow win)`
Makes the image contained in the specified window the active image.
`void`
ImagePlus.`setWindow(ImageWindow win)`
This method should only be called from an ImageWindow.

## Uses of ImageWindow in ij.gui

Subclasses of ImageWindow in ij.gui
Modifier and Type
Class
Description
`class`
`HistogramWindow`
This class is an extended ImageWindow that displays histograms.
`class`
`PlotWindow`
This class implements the Analyze/Plot Profile command.
`class`
`StackWindow`
This class is an extended ImageWindow that displays stacks and hyperstacks.
Methods in ij.gui with parameters of type ImageWindow
Modifier and Type
Method
Description
`static void`
ImageWindow.`setImageJMenuBar(ImageWindow win)`

## Uses of ImageWindow in ij.plugin.frame

Methods in ij.plugin.frame with parameters of type ImageWindow
Modifier and Type
Method
Description
`static void`
SyncWindows.`setC(ImageWindow source, int channel)`
`static void`
SyncWindows.`setT(ImageWindow source, int frame)`
`static void`
SyncWindows.`setZ(ImageWindow source, int slice)`